Gentoo Archives: gentoo-commits

From: Patrice Clement <monsieurp@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/versioneer/
Date: Thu, 28 Feb 2019 22:49:49
Message-Id: 1551394174.d50d1fe4bd2722476e5145cf4e3f6f9a99c1c063.monsieurp@gentoo
commit:     d50d1fe4bd2722476e5145cf4e3f6f9a99c1c063
Author:     Carsten Lohrke <carstenlohrke <AT> web <DOT> de>
AuthorDate: Mon Feb 18 09:39:28 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 22:49:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d50d1fe4

dev-python/versioneer: version bump.

Signed-off-by: Carsten Lohrke <carstenlohrke <AT> web.de>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/11131

 dev-python/versioneer/Manifest               |  1 +
 dev-python/versioneer/versioneer-0.18.ebuild | 29 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/versioneer/Manifest b/dev-python/versioneer/Manifest
index 7f0e90af654..74ec287ed99 100644
--- a/dev-python/versioneer/Manifest
+++ b/dev-python/versioneer/Manifest
@@ -1 +1,2 @@
 DIST versioneer-0.16.tar.gz 37736 BLAKE2B df66304770ca0ad85cde13ed1870df5901bb5526935b3a17a28dcbb267db3a8a822c1f43b16643c7f7237225c27b50db94cc0d4c3e87dd58a004475fcd64bc54 SHA512 90604d69351c822dd5a1e8eaddbe6af2e77895c7e29148a75306833f04c59e18ae8ab6c928860ce3b8c7ac46245f2ed856485fdcffd790f436e689c408ddeca3
+DIST versioneer-0.18.tar.gz 40552 BLAKE2B 640c010958a0178ec5ec5f06c986d83e3bc2f49df95583c4c90d3058449dcca5c7b5421ee5f2f56905b1d949bfe3bfbd87fb23ebc868ede591d078d811ccc2b3 SHA512 8d4522932b1f6aa1c13211008a57a572d54ea677cbdecd7d563ef8f77c76ed5d59f58f2e3be38a01e8cd102c264baf5c8949e9c17ea98d686ac497f8ad8b0011

diff --git a/dev-python/versioneer/versioneer-0.18.ebuild b/dev-python/versioneer/versioneer-0.18.ebuild
new file mode 100644
index 00000000000..613a3acdc02
--- /dev/null
+++ b/dev-python/versioneer/versioneer-0.18.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy VCS-based management of project version strings"
+HOMEPAGE="https://pypi.org/project/versioneer/ https://github.com/warner/python-versioneer"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="public-domain"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+	esetup.py make_versioneer
+	git config --global user.email "you@×××××××.com"
+	git config --global user.name "Your Name"
+
+	${PYTHON} test/git/test_git.py -v || die
+}